{% extends 'base.html' %}
{% load student_tags %}
{% load util_tags %}

{% block content %}
<h1 class="heading-1 marg">Oceny z kursu {{course}}</h1>
{% if student_list %}
<div class="container p-3 bg-grey bor-rad marg">
    <p><a href="{% url 'register:teacher_lesson_list' course.id %}" class="btn btn-primary">Zobacz lekcje</a></p>
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Imię</th>
                <th scope="col">Nazwisko</th>
                <th scope="col">Oceny</th>
                <th scope="col">Średnia ocen</th>
                <th scope="col">Przewidywana ocena</th>
            </tr>
        </thead>
        <tbody>
            {% for student in student_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{student.user.first_name}}</td>
                <td>{{student.user.last_name}}</td>
                <td>
                    {% for grade in student.user|grades:course %}
                        <div class="edu-tooltip" style="background-color: {{grade.type.color}}; padding: 0.2rem 0.4rem; padding: 4px;">{{grade.value.value}}
                            <span class="edu-tooltiptext" style="border: {{grade.type.color|shade_color:1.1}} 1px dotted; background-color: {{grade.type.color|shade_color:0.1}};">
                                Wartość: <span style="font-weight:bold">{{grade}}</span></br>
                                Rodzaj: <span style="font-weight:bold">{{grade.type.name}}</span></br>
                                Waga: <span style="font-weight:bold">{{grade.type.value}}</span>
                            </span>
                        </div>
                    {% endfor %}
                </td>
                <td>{{student.user|avg_grade:course}}</td>
                <td>{{student.user|expected_grade:course}}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="edu-tooltip">
        <a href="{% url 'register:generate_grades_pdf' %}" class="btn btn-secondary">Generuj kartę ocen</a>
        <span class="edu-tooltiptext" top="medium">
            Dostępne formaty:</br>
                <a href="{% url 'register:generate_grades_json' %}" class="edu-btn" color="crimson">JSON</a>
                <a href="{% url 'register:generate_grades_xml' %}" class="edu-btn" color="green">XML</a>
                <a href="{% url 'register:generate_grades_csv' %}" class="edu-btn" color="brown">CSV</a>
                <a href="{% url 'register:generate_grades_xlsx' %}" class="edu-btn" color="blue">XLSX</a>
                <a href="{% url 'register:generate_grades_pdf' %}" class="edu-btn" color="violet">PDF</a>
        </span>
    </div>
    <div class="edu-tooltip">
        <a href="{% url 'register:generate_statistics_pdf' %}" class="btn btn-secondary">Generuj statystyki obecności</a>
        <span class="edu-tooltiptext" top="medium">
            Dostępne formaty:</br>
                <a href="{% url 'register:generate_statistics_json' %}" class="edu-btn" color="crimson">JSON</a>
                <a href="{% url 'register:generate_statistics_xml' %}" class="edu-btn" color="green">XML</a>
                <a href="{% url 'register:generate_statistics_csv' %}" class="edu-btn" color="brown">CSV</a>
                <a href="{% url 'register:generate_statistics_xlsx' %}" class="edu-btn" color="blue">XLSX</a>
                <a href="{% url 'register:generate_statistics_pdf' %}" class="edu-btn" color="violet">PDF</a>
        </span>
    </div>
</div>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych uczniów podpiętych do tego kursu.</p>
    </div>
{% endif %}

{% endblock content %}